- Qt 5.15
- Qt Charts
- QML Types
- BoxSet QML Type
- Qt Charts | Commercial or GPLv3

# BoxSet QML Type

Represents one item in a box-and-whiskers chart. More...

Import Statement: | import QtCharts 2.15

- List of all members, including inherited members

## Properties

- brushFilename : string
- count : int
- label : string
- values : list

## Signals

- cleared()
- clicked()
- doubleClicked()
- hovered(bool status)
- pressed()
- released()
- valueChanged(int index)
- valuesChanged()

## Methods

- void append(qreal value)
- void at(int index)
- void clear()
- void setValue(int index, qreal value)

## Detailed Description

A box-and-whiskers item is a graphical representation of a range and three median values that is constructed from five different values. There are two ways to specify the values. The first one is by using a constructor or the append() method. The values have to be specified in the following order: lower extreme, lower quartile, median, upper quartile, and upper extreme.

The second way is to create an empty BoxSet instance and specify the values using the setValue() method.

See also BoxPlotSeries.

## Property Documentation

brushFilename : string

The name of the file used as a brush for the box-and-whiskers item.

count : int

The number of values of the box-and-whiskers item.

label : string

The label of the category of the box-and-whiskers item.

values : list

The values of the box-and-whiskers item. The following enumerations can be used as indexes when accessing the list of values:

Constant | Description
--- | ---
`BoxSet.LowerExtreme` | The smallest value of the box-and-whiskers item.
`BoxSet.LowerQuartile` | The median value of the lower half of the box-and-whiskers item.
`BoxSet.Median` | The median value of the box-and-whiskers item.
`BoxSet.UpperQuartile` | The median value of the upper half of the box-and-whiskers item.
`BoxSet.UpperExtreme` | The largest value of the box-and-whiskers item.

See also at() and setValue().

## Signal Documentation

cleared()

This signal is emitted when all the values of the box-and-whiskers item are set to 0.

The corresponding signal handler is `onCleared()`.

Note: The corresponding handler is `onCleared`.

clicked()

This signal is emitted when the user clicks a box-and-whiskers item in the chart.

The corresponding signal handler is `onClicked()`.

Note: The corresponding handler is `onClicked`.

doubleClicked()

This signal is emitted when the user double-clicks a box-and-whiskers item.

The corresponding signal handler is `onDoubleClicked()`.

Note: The corresponding handler is `onDoubleClicked`.

hovered(bool status)

This signal is emitted when a mouse is hovered over a box-and-whiskers item in a chart. When the mouse moves over the item, status turns `true`, and when the mouse moves away again, it turns `false`.

The corresponding signal handler is `onHovered()`.

Note: The corresponding handler is `onHovered`.

pressed()

This signal is emitted when the user clicks a box-and-whiskers item in the chart and holds down the mouse button.

The corresponding signal handler is `onPressed`.

Note: The corresponding handler is `onPressed`.

released()

This signal is emitted when the user releases the mouse press on a box-and-whiskers item.

The corresponding signal handler is `onReleased()`.

Note: The corresponding handler is `onReleased`.

valueChanged(int index)

This signal is emitted when the value of the box-and-whiskers item specified by index changes.

The corresponding signal handler is `onValueChanged()`.

Note: The corresponding handler is `onValueChanged`.

valuesChanged()

This signal is emitted when multiple values of the box-and-whiskers item change.

The corresponding signal handler is `onValuesChanged()`.

Note: The corresponding handler is `onValuesChanged`.

## Method Documentation

void append(qreal value)

Appends the new value specified by value to the end of the box-and-whiskers item.

void at(int index)

Returns the value in the position specified by index.

void clear()

Sets all the values of the box-and-whiskers item to 0.

void setValue(int index, qreal value)

Sets the value specified by value in the position specified by index.